Summary:	Fetch mail out of your Hotmail Live account
Name:		getlive
Version:	2.4
Release:	5
License:	GPLv2+
Group:		Applications/Internet
URL:		http://sourceforge.net/projects/getlive/
BuildArch:	noarch
Source0:	http://downloads.sf.net/getlive/GetLive_%(echo %{version} | sed s,\\.,_,g).tgz
Source1:	getliverc.sample
Patch0:		getlive-2.18.patch
Patch1:		getlive-2.18-entities.patch
Patch2:		getlive-2.19.patch
Patch3:		getlive-2.20.patch
Requires:	curl >= 7.10.0, perl(URI)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)

%description
GetLive is a perl script that fetches mail from your Hotmail
Live account. The mail is then presented to any filter (typically
procmail) for further processing or dropping in a local mailbox.

The scripts keeps track of all downloaded message-ids to avoid double
fetching.

Messages can be marked read or moved to a folder after being downloaded.

%prep
%setup -q -n GetLive_%(echo %{version} | sed s,\\.,_,g)

# Hotmail changed again
%patch0

# Replace non-GPL code with better, free replacement
%patch1

# Hotmail changed again
%patch2

# Correct login procedure after yet another MS change
%patch3

cp -p %{SOURCE1} .
chmod -c -x SmtpAuthForward.pl SmtpForward.pl

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 GetLive.pl %{buildroot}%{_bindir}/getlive

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog License Manual SmtpAuthForward.pl SmtpForward.pl getliverc.sample
%{_bindir}/getlive

%changelog
* Mon Jan 28 2013 Paul Howarth <paul@city-fan.org> 2.4-5
- Update to CVS version 2.20 for latest hotmail change

* Sun Aug 19 2012 Paul Howarth <paul@city-fan.org> 2.4-4
- Update to CVS version 2.19 for latest hotmail change

* Tue Jul 17 2012 Paul Howarth <paul@city-fan.org> 2.4-3
- Replace non-GPL code with better, free replacement

* Thu Mar 29 2012 Paul Howarth <paul@city-fan.org> 2.4-2
- Update to CVS version 2.18 for latest hotmail change

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> 2.4-1
- New release 2.4
  - Corrected bug 3345510 (another hotmail update)
- Nobody else likes macros for commands

* Wed Nov 10 2010 Paul Howarth <paul@city-fan.org> 2.3-1
- New release 2.3
  - Fixed warnings on eval for locale on Windows
  - Command length check removed (can be longer than 40 in FreePops mode)
  - keepmsgstatus accepted as dummy in FreePops mode
  - Add verbosity option

* Mon Nov  1 2010 Paul Howarth <paul@city-fan.org> 2.1-1
- New release 2.1
  - Overhaul for supporting FreePops users
  - Further improvements to robustness
  - Fix password issue (Bug 2312859)

* Fri Oct  8 2010 Paul Howarth <paul@city-fan.org> 2.0-1
- New release 2.0 (overhaul for August 2010 changes; basically a simplification
  as we now use the 'mobile' site for most of the actions except downloading)
- Remove redundant 'Mode' entry from getliverc.sample

* Sun Apr  4 2010 Paul Howarth <paul@city-fan.org> 0.59-1
- New release 0.59, with new Mode 201003
- Drop CVS patch, no longer needed
- Permissions on docs no longer need fixing

* Sun Feb 28 2010 Paul Howarth <paul@city-fan.org> 0.58-1
- New release 0.58, with new Mode 201002
- Changed Mode to 201002 in getliverc.sample
- Update CVS patch (revision 1.53)

* Wed Sep 30 2009 Paul Howarth <paul@city-fan.org> 0.57-6
- Update to cvs rev 1.51, which should fix the MarkRead/MoveToFolder issues
- New option BreakOnAlreadyDownloaded limits search in file of already
  downloaded messages after N times in sequence found as already downloaded
- Patches consolidated
- Changed Mode to 200909 in getliverc.sample

* Wed Sep 23 2009 Paul Howarth <paul@city-fan.org> 0.57-5
- Another patch for more hotmail changes on 19 September 2009

* Fri Mar 20 2009 Paul Howarth <paul@city-fan.org> 0.57-4
- Another patch for more hotmail changes on 14 February 2009
- Add Mode=200902 to getliverc.sample

* Thu Feb 12 2009 Paul Howarth <paul@city-fan.org> 0.57-3
- Apply patch to handle hotmail UI changes rolled out from February 2009
  Please note that:
  * your config file should contain 'Mode = 200902'

* Wed Dec  3 2008 Paul Howarth <paul@city-fan.org> 0.57-2
- Apply patch to handle hotmail UI changes rolled out from October 2008
  Please note that:  
  * you should go once to your hotmail account that is impacted and pass the
  | warning page. Also check the box asking to never show that warning again. 
  * your config file should contain 'Mode = 200810' 

* Mon Jul  7 2008 Paul Howarth <paul@city-fan.org> 0.57-1
- Update to 0.57

* Mon Dec  3 2007 Paul Howarth <paul@city-fan.org> 0.56-1
- Update to 0.56
- Set Delete=Yes in sample config file

* Wed Nov 21 2007 Paul Howarth <paul@city-fan.org> 0.55-1
- Update to 0.55
- Upstream tarball now has an enclosing directory

* Tue Nov 20 2007 Paul Howarth <paul@city-fan.org> 0.54-1
- Initial RPM package
